package com.qmth.exam.reserve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;
import com.qmth.exam.reserve.bean.login.LoginUser;
import com.qmth.exam.reserve.bean.user.UserReq;
import com.qmth.exam.reserve.bean.user.UserSaveReq;
import com.qmth.exam.reserve.bean.user.UserVO;
import com.qmth.exam.reserve.entity.UserEntity;

public interface UserService extends IService<UserEntity> {

    UserEntity findUserByLoginName(Long orgId, String loginName);

    PageResult<UserVO> pageUser(UserReq req);

    UserVO info(Long id);

    void saveUser(LoginUser loginUser, UserSaveReq req);

    void resetPassword(Long id);

    void enable(Long id, Boolean enable);

}
